java.lang.VerifyError

Common bugs/problems with the Android SDK the Emulator and the ADT-Plugin.

java.lang.VerifyError

Postby drjunior » Fri Aug 22, 2008 10:38 am

Hello,

After migrating my application to the new 0.9 sdk version , I'm getting an "exception" (VerifyError) from one file that belongs to a library that I used in m5 sdk version without any problems.

I tried to "compile" again the library(jar file), but the error persist.

Could someone help me ??

Best Regards,
Diogo Júnior
drjunior
Freshman
Freshman
 
Posts: 2
Joined: Fri Aug 22, 2008 10:35 am

Top

Postby Max » Mon Aug 25, 2008 10:12 am

I’ve exactly the same Problem. I am searching a Solution since a couple of days - but I failed. Isn’t there anyone out there, who can help us?

Kind Regards,
Max
Max
Once Poster
Once Poster
 
Posts: 1
Joined: Mon Aug 25, 2008 10:09 am

Postby cgreen » Mon Aug 25, 2008 10:17 am

there are already some other posts about this verification bullcrap...
how_to_instance_for_example_javaawtcolor_in_sdk09_-t2724.html
as far as my researchs go, this is a new "security"? feature. but this really doesn't make sense.
User avatar
cgreen
Experienced Developer
Experienced Developer
 
Posts: 56
Joined: Wed Jul 16, 2008 10:16 am

Hope this helps

Postby herriojr » Fri Sep 05, 2008 1:32 am

This will probably eventually become unsupported, but I was told to include the library through the AndroidManifest.xml file via:

<uses-library android:name="android.awt" />

as a child of the application tag. It worked for me, so hopefully it works for you.
herriojr
Freshman
Freshman
 
Posts: 2
Joined: Fri Sep 05, 2008 1:28 am

Top

Return to SDK/ADT/Emulator Problems

Who is online

Users browsing this forum: No registered users and 8 guests